This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 350701 - Untranslatable error message(s)
Untranslatable error message(s)
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
: FutureFeature, Reopened, Translation
: 211735 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-24 12:44 EDT by Nicola Soranzo
Modified: 2010-12-14 08:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-14 08:48:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicola Soranzo 2007-10-24 12:44:06 EDT
Description of problem:
When trying to remove a package (rpm -e foo), if foo is needed by others the
message:

"foo is needed by (installed) bar"

is translated in Italian as:

"foo(installato)  necessita di bar"

that means:

"foo(installed) needs bar" (i.e. the reverse!)

Version-Release number of selected component (if applicable):
4.4.2.2-2.fc7 (this is a regression)

How reproducible:
Always

Steps to Reproduce:
1. rpm -e foo

Additional info:
It's not possible to translate correctly this string, because there are too many
parameters: in Italian "(installed)" must be after the package name, not before.
I'd suggest to replace in lib/rpmps.c the lines:

case RPMPROB_REQUIRES:
 rc = snprintf(buf, nb, _("%s is needed by %s%s"),
        altNEVR+2,
        (prob->ulong1 ? "" : _("(installed) ")), pkgNEVR); 
 break;

with something like:

case RPMPROB_REQUIRES:
 rc = prob->ulong1 ?
       snprintf(buf, nb, _("%s is needed by %s"), altNEVR+2, pkgNEVR) :
       snprintf(buf, nb, _("%s is needed by (installed) %s"), altNEVR+2, pkgNEVR); 
 break;

The correct Italian translations for these 2 strings are:

"%s is needed by %s"
"%s è richiesto da %s"

"%s is needed by (installed) %s"
"%s è richiesto da %s (installato)"
Comment 1 Panu Matilainen 2007-10-25 06:50:33 EDT
That message is not very optimal in English to begin with (see bug 211735), and
also impossible to sanely translate to Finnish (my native language) and probably
countless other languages too. A review of user visible strings is planned for
the next major rpm version, things like this could and should be addressed there.
Comment 2 Panu Matilainen 2007-10-25 06:54:30 EDT
*** Bug 211735 has been marked as a duplicate of this bug. ***
Comment 3 Nicola Soranzo 2007-10-25 07:49:18 EDT
(In reply to comment #1)
> A review of user visible strings is planned for the next major
> rpm version, things like this could and should be addressed there.

That's probably true, but in the mean time the wrong italian translation should
be removed, it's better to have just the english version.
Comment 4 Bug Zapper 2008-11-26 03:05:37 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Nicola Soranzo 2008-11-27 06:31:38 EST
In rpm-4.6.0-0.rc1 in Fedora 10

"foo is needed by (installed) bar"

is translated in Italian as:

"foo necessario a (installato) bar"

which is better, but not very elegant...

Still the correct solution is the one I proposed in the original bug report one year ago.
Comment 6 Bug Zapper 2009-06-09 05:20:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Piotr Drąg 2010-12-14 08:48:48 EST
If the problem still exists, it should be reported at upstream trac instance. It is not Fedora-specific.

Note You need to log in before you can comment on or make changes to this bug.